## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 23
%bcond_without check
%global debug_package %{nil}

%global crate wu-diff

Name:           rust-wu-diff
Version:        0.1.2
Release:        %autorelease
Summary:        Compute differences between two slices using wu(the O(NP)) algorithm

License:        MIT
URL:            https://crates.io/crates/wu-diff
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# - bump base64 to 0.13
# - bump image to 0.24
# - remove ancient clippy dependency
# - remove criterion which is only used for benchmarking
Patch:          wu-diff-fix-metadata.diff
# fix test to compile against image >= 0.23
# https://github.com/bokuweb/wu-diff-rs/pull/8
Patch:          wu-diff-fix-test-for-image-0.23-no-raw_pixels.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Compute differences between two slices using wu(the O(NP)) algorithm.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jan 04 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.1.2-1
- Initial Fedora package
## END: Generated by rpmautospec
